# Ds\Deque::clear

(PECL ds >= 1.0.0)

Ds\Deque::clear — Removes all values from the deque

### Description

public Ds\Deque::clear ( void ) : void

Removes all values from the deque.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 Ds\Deque::clear() example

`<?php
$deque = new \Ds\Deque([1, 2, 3]);
print_r($deque);
$deque->clear();
print_r($deque);
?>`

The above example will output something similar to:

    Ds\Deque Object
    (
        [0] => 1
        [1] => 2
        [2] => 3
    )
    Ds\Deque Object
    (
    )